Skip to main content
GET
/
workspaces
/
{workspaceId}
/
address-book-records
/
{recordId}
Get Address Book record by ID
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/address-book-records/{recordId}
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/address-book-records/{recordId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/address-book-records/{recordId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "createdAt": "<string>",
  "externalId": "<string>",
  "name": "<string>",
  "recordId": "<string>",
  "workspaceId": "<string>",
  "accountIds": [
    "<string>"
  ],
  "address": "<string>",
  "createdBy": "<string>",
  "imageId": "<string>",
  "lastUsedAt": "<string>",
  "memo": "<string>",
  "networkId": "<string>",
  "tag": "<string>",
  "updatedAt": "<string>",
  "updatedBy": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}

Path Parameters

workspaceId
string
required
recordId
string
required

Response

OK

createdAt
string<date-time-millis>
required

Created at timestamp

Example:

"1749646207296"

externalId
string
required

Address book entry external ID

Example:

"ki50iq4iotxmuv1ihgw9q6u3"

name
string
required

Name of the address

Example:

"My address"

recordId
string
required

Address book record ID

Example:

"gx8df95a09h319dbu79rfora"

recordType
enum<string>
required

Record type: address, tag, or bank. See details

Available options:
address,
tag,
bank
status
enum<string>
required
Available options:
new,
active,
rejected,
deleted
workspaceId
string
required

Workspace ID

Example:

"e191u51yxnykins6fahd"

accountIds
string[]

Comma-separated account ids, if address set for particular accounts

address
string

Blockchain address string

Example:

"TKAduQVqNaTLyBzVvRrcctY6FFraowJ3Uc"

createdBy
string

Created by user id

Example:

"e191u51yxnykins6fahdizxy"

imageId
string

Workspace image ID (for tag type records)

lastUsedAt
string<date-time-millis>

Last used at

Example:

"1749646207296"

memo
string

Address memo (destination tag for XRP)

networkId
string

Currency of an address

Example:

"BTC"

tag
string

Workspace tag (for tag type records)

Example:

"$myworkspace"

updatedAt
string<date-time-millis>

Last updated Updated at timestamp

Example:

"1749646207296"

updatedBy
string

Updated by user id

Example:

"e191u51yxnykins6fahdizxy"